Name:          datanucleus-api-jdo
Version:       3.2.6
Release:       3%{?dist}
Summary:       DataNucleus JDO API plugin
License:       ASL 2.0
URL:           http://www.datanucleus.org
# svn export http://svn.code.sf.net/p/datanucleus/code/platform/api.jdo/tags/datanucleus-api-jdo-3.2.6
# find datanucleus-api-jdo-3.2.6/ -name "*.jar" -delete
# tar cJf datanucleus-api-jdo-3.2.6.tar.xz datanucleus-api-jdo-3.2.6
Source0:       %{name}-%{version}.tar.xz

BuildRequires: java-devel

# note this HAS to be jdo-api 3.x, not jdo2-api 2.2
BuildRequires: mvn(javax.jdo:jdo-api)
BuildRequires: mvn(javax.transaction:jta)
BuildRequires: mvn(org.datanucleus:datanucleus-core)
BuildRequires: mvn(org.ow2.asm:asm)
# Test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j)

BuildRequires: maven-local

BuildArch:     noarch

%description
Plugin providing DataNucleus implementation of JDO API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# 2 DTD files are missing their ASL2 license text
# bug filed at: http://www.datanucleus.org/servlet/jira/browse/NUCAPIJDO-63
cat > asl_header.xml <<EOF
<!--
  Licensed to the Apache Software Foundation (ASF) under one or more
  contributor license agreements.  See the NOTICE file distributed with
  this work for additional information regarding copyright ownership.
  The ASF licenses this file to You under the Apache License, Version 2.0
  (the "License"); you may not use this file except in compliance with
  the License.  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
-->
EOF
sed -i '1r asl_header.xml' src/java/org/datanucleus/api/jdo/jdo_orm_2_0.dtd
sed -i '1r asl_header.xml' src/java/org/datanucleus/api/jdo/jdoquery_2_0.dtd

sed -i 's/\r//' META-INF/LICENSE.txt META-INF/NOTICE.txt META-INF/README.txt
cp -p META-INF/LICENSE.txt .
cp -p META-INF/NOTICE.txt .
cp -p META-INF/README.txt .

%build

%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Fri Jan 03 2014 Peter MacKinnon <pmackinn@redhat.com> 3.2.6-3
- add missing asm BR

* Mon Dec 16 2013 Peter MacKinnon <pmackinn@redhat.com> 3.2.6-2
- injected missing ASL2 license text in DTD

* Tue Dec 10 2013 Peter MacKinnon <pmackinn@redhat.com> 3.2.6-1
- updated to version 3.2.6

* Fri Sep 20 2013 gil cattaneo <puntogil@libero.it> 3.2.4-1
- initial rpm
